package cz.frantovo.nekurak.dao;

import cz.frantovo.nekurak.dto.Podnik;
import java.util.Collection;
import java.util.Date;
import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 *
 * @author fiki
 */
@Stateless
@LocalBean
public class PodnikDAO {

    @PersistenceContext(unitName = DAO.PU)
    private EntityManager em;

    public Collection<Podnik> getPodniky() {
	Query dotaz = em.createQuery("FROM " + DAO.t(Podnik.class) + " o ORDER BY datum DESC");
	return dotaz.getResultList();
    }

    public void zaloz(Podnik p) {
	if (p.getDatum() == null) {
	    p.setDatum(new Date());
	}

	em.persist(p);
    }

    public void uloz(Podnik p) {
	if (p.getDatum() == null) {
	    p.setDatum(new Date());
	}

	em.merge(p);
    }
}
